=== modified file 'bzrlib/doc_generate/autodoc_man.py'
--- bzrlib/doc_generate/autodoc_man.py	2012-03-14 16:38:09 +0000
+++ bzrlib/doc_generate/autodoc_man.py	2012-03-15 15:36:12 +0000
@@ -161,8 +161,7 @@
     yield ".SH \"ENVIRONMENT\"\n"
 
     from bzrlib.help_topics import known_env_variables
-    for k in sorted(known_env_variables.keys()):
-        desc = known_env_variables[k]
+    for k, desc in known_env_variables:
         yield ".TP\n"
         yield ".I \"%s\"\n" % k
         yield man_escape(desc) + "\n"

=== modified file 'bzrlib/help_topics/__init__.py'
--- bzrlib/help_topics/__init__.py	2012-03-14 16:33:16 +0000
+++ bzrlib/help_topics/__init__.py	2012-03-15 15:36:12 +0000
@@ -595,37 +595,36 @@
 """
 
 
-known_env_variables = {
-    "BZRPATH" : "Path where bzr is to look for shell plugin external commands.",
-    "BZR_EMAIL": "E-Mail address of the user. Overrides EMAIL.",
-    "EMAIL": "E-Mail address of the user.",
-    "BZR_EDITOR": "Editor for editing commit messages. Overrides EDITOR.",
-    "EDITOR": "Editor for editing commit messages.",
-    "BZR_PLUGIN_PATH": "Paths where bzr should look for plugins.",
-    "BZR_DISABLE_PLUGINS": "Plugins that bzr should not load.",
-    "BZR_PLUGINS_AT": "Plugins to load from a directory not in BZR_PLUGIN_PATH.",
-    "BZR_HOME": "Directory holding .bazaar config dir. Overrides HOME.",
-    "BZR_HOME (Win32)": "Directory holding bazaar config dir. Overrides APPDATA and HOME.",
-    "BZR_REMOTE_PATH": "Full name of remote 'bzr' command (for bzr+ssh:// URLs).",
-    "BZR_SSH": "Path to SSH client, or one of paramiko, openssh, sshcorp, plink or lsh.",
-    "BZR_LOG": "Location of .bzr.log (use '/dev/null' to suppress log).",
-    "BZR_LOG (Win32)": "Location of .bzr.log (use 'NUL' to suppress log).",
-    "BZR_COLUMNS": "Override implicit terminal width.",
-    "BZR_CONCURRENCY": "Number of processes that can be run concurrently (selftest)",
-    "BZR_PROGRESS_BAR": "Override the progress display. Values are 'none' or 'text'.",
-    "BZR_PDB": "Control whether to launch a debugger on error.",
-    "BZR_SIGQUIT_PDB": "Control whether SIGQUIT behaves normally or invokes a breakin debugger.",
-    "BZR_TEXTUI_INPUT": "Force console input mode for prompts to line-based (instead of char-based).",
-    }
+known_env_variables = [
+    ("BZRPATH", "Path where bzr is to look for shell plugin external commands."),
+    ("BZR_EMAIL", "E-Mail address of the user. Overrides EMAIL."),
+    ("EMAIL", "E-Mail address of the user."),
+    ("BZR_EDITOR", "Editor for editing commit messages. Overrides EDITOR."),
+    ("EDITOR", "Editor for editing commit messages."),
+    ("BZR_PLUGIN_PATH", "Paths where bzr should look for plugins."),
+    ("BZR_DISABLE_PLUGINS", "Plugins that bzr should not load."),
+    ("BZR_PLUGINS_AT", "Plugins to load from a directory not in BZR_PLUGIN_PATH."),
+    ("BZR_HOME", "Directory holding .bazaar config dir. Overrides HOME."),
+    ("BZR_HOME (Win32)", "Directory holding bazaar config dir. Overrides APPDATA and HOME."),
+    ("BZR_REMOTE_PATH", "Full name of remote 'bzr' command (for bzr+ssh:// URLs)."),
+    ("BZR_SSH", "Path to SSH client, or one of paramiko, openssh, sshcorp, plink or lsh."),
+    ("BZR_LOG", "Location of .bzr.log (use '/dev/null' to suppress log)."),
+    ("BZR_LOG (Win32)", "Location of .bzr.log (use 'NUL' to suppress log)."),
+    ("BZR_COLUMNS", "Override implicit terminal width."),
+    ("BZR_CONCURRENCY", "Number of processes that can be run concurrently (selftest)"),
+    ("BZR_PROGRESS_BAR", "Override the progress display. Values are 'none' or 'text'."),
+    ("BZR_PDB", "Control whether to launch a debugger on error."),
+    ("BZR_SIGQUIT_PDB", "Control whether SIGQUIT behaves normally or invokes a breakin debugger."),
+    ("BZR_TEXTUI_INPUT", "Force console input mode for prompts to line-based (instead of char-based)."),
+    ]
 
 def _env_variables(topic):
     import textwrap
     ret = ["Environment Variables\n\n"]
-    max_key_len = max([len(k) for k in known_env_variables])
+    max_key_len = max([len(k[0]) for k in known_env_variables])
     desc_len = (80 - max_key_len - 2)
     ret.append("=" * max_key_len + " " + "=" * desc_len + "\n")
-    for k in sorted(known_env_variables.keys()):
-        desc = known_env_variables[k]
+    for k, desc in known_env_variables:
         ret.append(k + (max_key_len + 1 - len(k)) * " ")
         ret.append("\n".join(textwrap.wrap(
             desc, width=desc_len, subsequent_indent=" " * (max_key_len + 1))))

